View Issue Details

IDProjectCategoryView StatusLast Update
0017109LazarusIDEpublic2010-09-30 04:05
ReporterMartin FriebeAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.30 
Summary0017109: Regression: MenuIntf causes index out of bounds exception
DescriptionSomewhere within the couple of last month MenuIntf broke (it worked earlier this year)

To reproduce:
- have 2 or more sourceeditors open. (I have 3)
- have one unit, that is open in all of the windows (so the "move to"
sub menu is NOT shown / but instead only the "move to new window" entry)
- have another unit that can be moved to another existing window
- popup the context menu over the first, then the 2nd unit

Below is a stacktrace and the debug output.

I tried to play with MenuIntf in an isolated test case, but I couldn't reproduce it. So I can't provide an easy testcase.
Additional InformationStactrace immediately before the exception
the list is empty, insert at pos1 will fail

#0 INSERT(0xcfb7920, 1, 0xfc0674) at ..\objpas\classes\lists.inc:683
0000001 INSERT(0xcff1990, 1, 0xcff17d0) at include\menuitem.inc:782
0000002 UPDATENEEDTOPSEPARATOR(0x95df62c) at menuintf.pas:997
0000003 UPDATEMENUSTRUCTURE(0xbe19f30) at menuintf.pas:1104
0000004 ITEMVISIBLEACTIVECHANGED(0xbe19f30, 0xcf10a40) at menuintf.pas:1267
0000005 INSERT(0xbe19f30, 0, 0xcf10a40) at menuintf.pas:1340
0000006 ADDLAST(0xbe19f30, 0xcf10a40) at menuintf.pas:1329
0000007 REGISTERIDEMENUCOMMAND(0xbe19f30, 0xc3043d0 'MoveToWindow2', 0x13b280
'Source Editor (3)', @0x95df734: {Proc = {procedure (POINTER, TOBJECT)}
0x95df734, Self = 0xb9eeae0}, {procedure (TOBJECT)} 0x95df6e8, 0x0, 0x0)
at menuintf.pas:529
0000008 SRCPOPUPMENUPOPUP(0xb9eeae0, 0xc6388a8) at sourceeditor.pp:5257
0000009 DOPOPUP(0xc6388a8, 0xc6388a8) at include\popupmenu.inc:43
0000010 POPUP(0xc6388a8, 982, 490) at include\popupmenu.inc:80
0000011 POPUP(0xc6388a8) at include\popupmenu.inc:72
0000012 MOUSEUP(0xce82420, MBRIGHT, [], 180, 438) at synedit.pp:2959
0000013 DOMOUSEUP(0xce82420, @0x95dfbc0: {MSG = 517, KEYS = 0, XPOS = 180,
YPOS = 438, POS = {X = 180, Y = 438}, DUMMY = 28704948, RESULT = 0},
MBRIGHT) at include\control.inc:1682
0000014 WMRBUTTONUP(0xce82420, @0x95dfbc0: {MSG = 517, KEYS = 0, XPOS = 180,
YPOS = 438, POS = {X = 180, Y = 438}, DUMMY = 28704948, RESULT = 0}) at
include\control.inc:2170
0000015 DISPATCH(0xcff17d0, @0xcfb7920: 0) at ..\inc\objpas.inc:585
0000016 CONTROLS_TCONTROL_$__WMLBUTTONUP$TLMMOUSE at :0
0000017 WNDPROC(0xce82420, @0x95dfbc0: {MSG = 517, WPARAM = 0, LPARAM =
28704948, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 180,
LPARAMHI = 438, RESULTLO = 0, RESULTHI = 0}) at include\wincontrol.inc:5198
0000018 WNDPROC(0xce82420, @0x95dfbc0: {MSG = 517, WPARAM = 0, LPARAM =
28704948, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 180,
LPARAMHI = 438, RESULTLO = 0, RESULTHI = 0}) at synedit.pp:5428
0000019 DELIVERMESSAGE(0xce82420, @0x95dfbc0: 0) at lclmessageglue.pas:110
0000020 WINDOWPROC(10094986, 517, 0, 28704948) at win32callback.inc:2393
0000021 ?? at :0
0000022 DOSTATECHANGE(0x95dfd28, 517) at ..\debugger\debugger.pp:2635
0000023 ?? at :0
0000024 WIN32INT_GETNEEDPARENTPAINT$PWIN32WINDOWINFO$TWINCONTROL$$BOOLEAN at :0
0000025 ?? at :0
0000026 ?? at :0




TIDEMenuSection.UpdateNeedTopSeparator CREATE TopSeparator
Name="MoveToOtherWindowList Section" ContainerMenuIndex=1
ContainerMenuItem.Count=0
  Top SectionIndex=-1 Name="SourceEditor" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=0 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="First dynamic section" VisibleActive=False
ChildsAsSubMenu=False ContainerIndex=0 NeedSep:Top=False,Bottom=False Size=0
  Top SectionIndex=1 Name="First static section" VisibleActive=True
ChildsAsSubMenu=False ContainerIndex=0 NeedSep:Top=False,Bottom=False Size=3
  Top SectionIndex=0 Name="Find Declaration" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="Find section" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=1 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="Procedure Jump" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="Find next word occurrence"
VisibleActive=True Handle=True
  Top SectionIndex=2 Name="Find previous word occurrence"
VisibleActive=True Handle=True
  Top SectionIndex=3 Name="Find in files" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="InsertToDo" VisibleActive=True Handle=True
  Top SectionIndex=2 Name="Pages" VisibleActive=True
ChildsAsSubMenu=False ContainerIndex=3 NeedSep:Top=True,Bottom=False Size=12
  Top SectionIndex=0 Name="Close Page" VisibleActive=True Handle=True
  Top SectionIndex=1 Name="Close All Other Pages" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="LockEditor" VisibleActive=True Handle=True
  Top SectionIndex=3 Name="MoveToNewWindow" VisibleActive=True
Handle=True
  Top SectionIndex=4 Name="MoveToOtherWindow" VisibleActive=False
ChildsAsSubMenu=True ContainerIndex=8 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="MoveToOtherWindowNew"
VisibleActive=True Handle=False
  Top SectionIndex=1 Name="MoveToOtherWindowList Section"
VisibleActive=True ChildsAsSubMenu=False ContainerIndex=1
NeedSep:Top=True,Bottom=False Size=2
  Top SectionIndex=0 Name="MoveToWindow2" VisibleActive=True
Handle=False
  Top SectionIndex=5 Name="CopyToNewWindow" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="CopyToOtherWindow" VisibleActive=False
ChildsAsSubMenu=True ContainerIndex=9 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="CopyToOtherWindowNew"
VisibleActive=True Handle=False
  Top SectionIndex=1 Name="CopyToOtherWindowList Section"
VisibleActive=False ChildsAsSubMenu=False ContainerIndex=1
NeedSep:Top=False,Bottom=False Size=0
  Top SectionIndex=7 Name="Move Page ..." VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=9 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="MoveEditorLeft" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="MoveEditorRight" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="MoveEditorLeftmost" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="MoveEditorRightmost" VisibleActive=True
Handle=True
  Top SectionIndex=8 Name="Open File ..." VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=10 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="Open File At Cursor" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="File dynamic section"
VisibleActive=False ChildsAsSubMenu=False ContainerIndex=1
NeedSep:Top=False,Bottom=False Size=0
  Top SectionIndex=9 Name="Flags section" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=11 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="ReadOnly" VisibleActive=True Handle=True
  Top SectionIndex=1 Name="ShowLineNumbers" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="DisableI18NForLFM" VisibleActive=False
Handle=False
  Top SectionIndex=3 Name="ShowUnitInfo" VisibleActive=True
Handle=True
  Top SectionIndex=4 Name="Highlighter" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=3 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="Highlighter0" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="Highlighter1" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="Highlighter2" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="Highlighter3" VisibleActive=True
Handle=True
  Top SectionIndex=4 Name="Highlighter4" VisibleActive=True
Handle=True
  Top SectionIndex=5 Name="Highlighter5" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="Highlighter6" VisibleActive=True
Handle=True
  Top SectionIndex=7 Name="Highlighter7" VisibleActive=True
Handle=True
  Top SectionIndex=8 Name="Highlighter8" VisibleActive=True
Handle=True
  Top SectionIndex=9 Name="Highlighter9" VisibleActive=True
Handle=True
  Top SectionIndex=10 Name="Highlighter10" VisibleActive=True
Handle=True
  Top SectionIndex=11 Name="Highlighter11" VisibleActive=True
Handle=True
  Top SectionIndex=12 Name="Highlighter12" VisibleActive=True
Handle=True
  Top SectionIndex=13 Name="Highlighter13" VisibleActive=True
Handle=True
  Top SectionIndex=14 Name="Highlighter14" VisibleActive=True
Handle=True
  Top SectionIndex=15 Name="Highlighter15" VisibleActive=True
Handle=True
  Top SectionIndex=5 Name="Encoding" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=4 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="Encoding0" VisibleActive=True Handle=True
  Top SectionIndex=1 Name="Encoding1" VisibleActive=True Handle=True
  Top SectionIndex=2 Name="Encoding2" VisibleActive=True Handle=True
  Top SectionIndex=3 Name="Encoding3" VisibleActive=True Handle=True
  Top SectionIndex=4 Name="Encoding4" VisibleActive=True Handle=True
  Top SectionIndex=5 Name="Encoding5" VisibleActive=True Handle=True
  Top SectionIndex=6 Name="Encoding6" VisibleActive=True Handle=True
  Top SectionIndex=7 Name="Encoding7" VisibleActive=True Handle=True
  Top SectionIndex=8 Name="Encoding8" VisibleActive=True Handle=True
  Top SectionIndex=9 Name="Encoding9" VisibleActive=True Handle=True
  Top SectionIndex=10 Name="Encoding10" VisibleActive=True
Handle=True
  Top SectionIndex=11 Name="Encoding11" VisibleActive=True
Handle=True
  Top SectionIndex=12 Name="Encoding12" VisibleActive=True
Handle=True
  Top SectionIndex=13 Name="Encoding13" VisibleActive=True
Handle=True
  Top SectionIndex=14 Name="Encoding14" VisibleActive=True
Handle=True
  Top SectionIndex=15 Name="Encoding15" VisibleActive=True
Handle=True
  Top SectionIndex=16 Name="Encoding16" VisibleActive=True
Handle=True
  Top SectionIndex=17 Name="Encoding17" VisibleActive=True
Handle=True
  Top SectionIndex=18 Name="Encoding18" VisibleActive=True
Handle=True
  Top SectionIndex=19 Name="Encoding19" VisibleActive=True
Handle=True
  Top SectionIndex=20 Name="Encoding20" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="LineEnding" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=5 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="LineEnding0" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="LineEnding1" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="LineEnding2" VisibleActive=True
Handle=True
  Top SectionIndex=10 Name="PrintSelection" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="Clipboard" VisibleActive=True
ChildsAsSubMenu=False ContainerIndex=15 NeedSep:Top=True,Bottom=False Size=5
  Top SectionIndex=0 Name="Cut" VisibleActive=True Handle=True
  Top SectionIndex=1 Name="Copy" VisibleActive=True Handle=True
  Top SectionIndex=2 Name="Paste" VisibleActive=True Handle=True
  Top SectionIndex=3 Name="Copy filename" VisibleActive=True Handle=True
  Top SectionIndex=4 Name="Marks section" VisibleActive=True
ChildsAsSubMenu=False ContainerIndex=20 NeedSep:Top=True,Bottom=False Size=3
  Top SectionIndex=0 Name="Goto bookmarks" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=21 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="GotoBookmark0" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="GotoBookmark1" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="GotoBookmark2" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="GotoBookmark3" VisibleActive=True
Handle=True
  Top SectionIndex=4 Name="GotoBookmark4" VisibleActive=True
Handle=True
  Top SectionIndex=5 Name="GotoBookmark5" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="GotoBookmark6" VisibleActive=True
Handle=True
  Top SectionIndex=7 Name="GotoBookmark7" VisibleActive=True
Handle=True
  Top SectionIndex=8 Name="GotoBookmark8" VisibleActive=True
Handle=True
  Top SectionIndex=9 Name="GotoBookmark9" VisibleActive=True
Handle=True
  Top SectionIndex=10 Name="Goto next Bookmark" VisibleActive=True
Handle=True
  Top SectionIndex=11 Name="Goto previous Bookmark"
VisibleActive=True Handle=True
  Top SectionIndex=1 Name="Toggle bookmarks" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=22 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="ToggleBookmark0" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="ToggleBookmark1" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="ToggleBookmark2" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="ToggleBookmark3" VisibleActive=True
Handle=True
  Top SectionIndex=4 Name="ToggleBookmark4" VisibleActive=True
Handle=True
  Top SectionIndex=5 Name="ToggleBookmark5" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="ToggleBookmark6" VisibleActive=True
Handle=True
  Top SectionIndex=7 Name="ToggleBookmark7" VisibleActive=True
Handle=True
  Top SectionIndex=8 Name="ToggleBookmark8" VisibleActive=True
Handle=True
  Top SectionIndex=9 Name="ToggleBookmark9" VisibleActive=True
Handle=True
  Top SectionIndex=10 Name="Set a free Bookmark"
VisibleActive=True Handle=True
  Top SectionIndex=5 Name="Debug section" VisibleActive=True
ChildsAsSubMenu=False ContainerIndex=23 NeedSep:Top=True,Bottom=True Size=3
  Top SectionIndex=0 Name="Debug" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=24 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="Toggle Breakpoint" VisibleActive=True
Handle=True
  Top SectionIndex=1 Name="Evaluate/Modify..." VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="Add Watch at Cursor" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="Inspect..." VisibleActive=True Handle=True
  Top SectionIndex=4 Name="Run to cursor" VisibleActive=True
Handle=True
  Top SectionIndex=5 Name="View Call Stack" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="Refactoring" VisibleActive=True
ChildsAsSubMenu=True ContainerIndex=26 NeedSep:Top=False,Bottom=False Size=1
  Top SectionIndex=0 Name="CompleteCode" VisibleActive=True Handle=True
  Top SectionIndex=1 Name="EncloseSelection" VisibleActive=True
Handle=True
  Top SectionIndex=2 Name="RenameIdentifier" VisibleActive=True
Handle=True
  Top SectionIndex=3 Name="FindIdentifierReferences"
VisibleActive=True Handle=True
  Top SectionIndex=4 Name="ExtractProc" VisibleActive=True Handle=True
  Top SectionIndex=5 Name="InvertAssignment" VisibleActive=True
Handle=True
  Top SectionIndex=6 Name="ShowAbstractMethods" VisibleActive=True
Handle=True
  Top SectionIndex=7 Name="ShowEmptyMethods" VisibleActive=True
Handle=True
  Top SectionIndex=8 Name="ShowUnusedUnits" VisibleActive=True
Handle=True
  Top SectionIndex=9 Name="FindOverloads" VisibleActive=False
Handle=False
  Top SectionIndex=7 Name="EditorProperties" VisibleActive=True
Handle=True
  Top Name="" Caption="SourceEditor" Flags=VEH
  Top Name="" Caption="&Find Declaration" Flags=VEH 0/28
  Top Name="" Caption="Find" Flags=VEH 1/28
  Top Name="" Caption="Procedure Jump" Flags=VEH 0/4
  Top Name="" Caption="Find next word occurrence" Flags=VEH 1/4
  Top Name="" Caption="Find previous word occurrence" Flags=VEH 2/4
  Top Name="" Caption="Find in files" Flags=VEH 3/4
  Top Name="" Caption="Insert ToDo" Flags=VEH 2/28
  Top Name="" Caption="-" Flags=VEH 3/28
  Top Name="" Caption="&Close Page" Flags=VEH 4/28
  Top Name="" Caption="Close All &Other Pages" Flags=VEH 5/28
  Top Name="" Caption="&Lock Page" Flags=VEH 6/28
  Top Name="" Caption="Move to new Window" Flags=VEH 7/28
  Top Name="" Caption="Move to other Window" Flags=E 8/28
  Top Name="" Caption="Clone to new Window" Flags=VEH 9/28
  Top Name="" Caption="Clone to other Window" Flags=E 10/28
  Top Name="" Caption="Move Page ..." Flags=VEH 11/28
  Top Name="" Caption="Move page left" Flags=VEH 0/4
  Top Name="" Caption="Move page right" Flags=VEH 1/4
  Top Name="" Caption="Move page leftmost" Flags=VEH 2/4
  Top Name="" Caption="Move page rightmost" Flags=VEH 3/4
  Top Name="" Caption="Open File ..." Flags=VEH 12/28
  Top Name="" Caption="&Open file at cursor" Flags=VEH 0/1
  Top Name="" Caption="File Settings ..." Flags=VEH 13/28
  Top Name="" Caption="Read Only" Flags=VEH 0/7
  Top Name="" Caption="Show Line Numbers" Flags=VECH 1/7
  Top Name="" Caption="Disable I18N for LFM" Flags=E 2/7
  Top Name="" Caption="Unit Info" Flags=VEH 3/7
  Top Name="" Caption="Highlighter" Flags=VEH 4/7
  Top Name="" Caption="None" Flags=VEH 0/16
  Top Name="" Caption="Text" Flags=VEH 1/16
  Top Name="" Caption="FreePascal" Flags=VECH 2/16
  Top Name="" Caption="Delphi" Flags=VEH 3/16
  Top Name="" Caption="LFM" Flags=VEH 4/16
  Top Name="" Caption="XML" Flags=VEH 5/16
  Top Name="" Caption="HTML" Flags=VEH 6/16
  Top Name="" Caption="C++" Flags=VEH 7/16
  Top Name="" Caption="Perl" Flags=VEH 8/16
  Top Name="" Caption="Java" Flags=VEH 9/16
  Top Name="" Caption="Bash" Flags=VEH 10/16
  Top Name="" Caption="Python" Flags=VEH 11/16
  Top Name="" Caption="PHP" Flags=VEH 12/16
  Top Name="" Caption="SQL" Flags=VEH 13/16
  Top Name="" Caption="JScript" Flags=VEH 14/16
  Top Name="" Caption="Diff" Flags=VEH 15/16
  Top Name="" Caption="Encoding" Flags=VEH 5/7
  Top Name="" Caption="UTF-8" Flags=VECH 0/21
  Top Name="" Caption="UTF-8 with BOM" Flags=VEH 1/21
  Top Name="" Caption="Ansi (cp1252)" Flags=VEH 2/21
  Top Name="" Caption="CP1250" Flags=VEH 3/21
  Top Name="" Caption="CP1251" Flags=VEH 4/21
  Top Name="" Caption="CP1252" Flags=VEH 5/21
  Top Name="" Caption="CP1253" Flags=VEH 6/21
  Top Name="" Caption="CP1254" Flags=VEH 7/21
  Top Name="" Caption="CP1255" Flags=VEH 8/21
  Top Name="" Caption="CP1256" Flags=VEH 9/21
  Top Name="" Caption="CP1257" Flags=VEH 10/21
  Top Name="" Caption="CP1258" Flags=VEH 11/21
  Top Name="" Caption="CP437" Flags=VEH 12/21
  Top Name="" Caption="CP850" Flags=VEH 13/21
  Top Name="" Caption="CP866" Flags=VEH 14/21
  Top Name="" Caption="CP874" Flags=VEH 15/21
  Top Name="" Caption="ISO-8859-1" Flags=VEH 16/21
  Top Name="" Caption="ISO-8859-2" Flags=VEH 17/21
  Top Name="" Caption="KOI-8" Flags=VEH 18/21
  Top Name="" Caption="UCS-2LE" Flags=VEH 19/21
  Top Name="" Caption="UCS-2BE" Flags=VEH 20/21
  Top Name="" Caption="Line ending" Flags=VEH 6/7
  Top Name="" Caption="LF (Unix, Linux)" Flags=VEH 0/3
  Top Name="" Caption="CR (Mac)" Flags=VEH 1/3
  Top Name="" Caption="CRLF (Win, DOS)" Flags=VECH 2/3
  Top Name="" Caption="Print ..." Flags=VEH 14/28
  Top Name="" Caption="-" Flags=VEH 15/28
  Top Name="" Caption="Cut" Flags=VH 16/28
  Top Name="" Caption="Copy" Flags=VH 17/28
  Top Name="" Caption="Paste" Flags=VEH 18/28
  Top Name="" Caption="Copy Filename" Flags=VEH 19/28
  Top Name="" Caption="-" Flags=VEH 20/28
  Top Name="" Caption="&Goto Bookmark" Flags=VEH 21/28
  Top Name="" Caption="Bookmark 0: SynEdit (1651,3)" Flags=VEH 0/12
  Top Name="" Caption="Bookmark 1: SynEdit (3843,28)" Flags=VEH 1/12
  Top Name="" Caption="Bookmark 2: SynEdit (3564,59)" Flags=VEH 2/12
  Top Name="" Caption="Bookmark 3" Flags=VEH 3/12
  Top Name="" Caption="Bookmark 4" Flags=VEH 4/12
  Top Name="" Caption="Bookmark 5" Flags=VEH 5/12
  Top Name="" Caption="Bookmark 6" Flags=VEH 6/12
  Top Name="" Caption="Bookmark 7: SynEdit (5165,1)" Flags=VEH 7/12
  Top Name="" Caption="Bookmark 8" Flags=VEH 8/12
  Top Name="" Caption="Bookmark 9: SynEdit (3062,3)" Flags=VEH 9/12
  Top Name="" Caption="Goto next Bookmark" Flags=VEH 10/12
  Top Name="" Caption="Goto previous Bookmark" Flags=VEH 11/12
  Top Name="" Caption="&Toggle Bookmark" Flags=VEH 22/28
  Top Name="" Caption="&Toggle Bookmark 0: SynEdit (1651,3)"
Flags=VEH 0/11
  Top Name="" Caption="&Toggle Bookmark 1: SynEdit (3843,28)"
Flags=VEH 1/11
  Top Name="" Caption="&Toggle Bookmark 2: SynEdit (3564,59)"
Flags=VEH 2/11
  Top Name="" Caption="&Toggle Bookmark 3" Flags=VEH 3/11
  Top Name="" Caption="&Toggle Bookmark 4" Flags=VEH 4/11
  Top Name="" Caption="&Toggle Bookmark 5" Flags=VEH 5/11
  Top Name="" Caption="&Toggle Bookmark 6" Flags=VEH 6/11
  Top Name="" Caption="&Toggle Bookmark 7: SynEdit (5165,1)"
Flags=VEH 7/11
  Top Name="" Caption="&Toggle Bookmark 8" Flags=VEH 8/11
  Top Name="" Caption="&Toggle Bookmark 9: SynEdit (3062,3)"
Flags=VEH 9/11
  Top Name="" Caption="Set a free Bookmark" Flags=VEH 10/11
  Top Name="" Caption="-" Flags=VEH 23/28
  Top Name="" Caption="Debug" Flags=VEH 24/28
  Top Name="" Caption="&Toggle Breakpoint" Flags=VEH 0/6
  Top Name="" Caption="&Evaluate/Modify..." Flags=VH 1/6
  Top Name="" Caption="Add &Watch At Cursor" Flags=VEH 2/6
  Top Name="" Caption="&Inspect..." Flags=VH 3/6
  Top Name="" Caption="&Run to Cursor" Flags=VEH 4/6
  Top Name="" Caption="View Call Stack" Flags=VEH 5/6
  Top Name="" Caption="-" Flags=VEH 25/28
  Top Name="" Caption="Refactoring" Flags=VEH 26/28
  Top Name="" Caption="Complete Code" Flags=VEH 0/10
  Top Name="" Caption="Enclose Selection" Flags=VH 1/10
  Top Name="" Caption="Rename Identifier" Flags=VEH 2/10
  Top Name="" Caption="Find Identifier References" Flags=VEH 3/10
  Top Name="" Caption="Extract Procedure" Flags=VH 4/10
  Top Name="" Caption="Invert Assignment" Flags=VH 5/10
  Top Name="" Caption="Show abstract methods" Flags=VEH 6/10
  Top Name="" Caption="Show empty methods" Flags=VEH 7/10
  Top Name="" Caption="Show unused units" Flags=VEH 8/10
  Top Name="" Caption="Find overloads" Flags=E 9/10
  Top Name="" Caption="Options" Flags=VEH 27/28


TagsNo tags attached.
Fixed in Revision27252
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017321 closedJuha Manninen Editor crashes when using two windows 
related to 0018041 closedMartin Friebe Crash in TIDEMenu (SourceEditor context pop up 

Activities

Zeljan Rikalo

2010-09-04 18:02

developer   ~0040809

Test and close if ok.

Issue History

Date Modified Username Field Change
2010-08-04 14:14 Martin Friebe New Issue
2010-08-04 14:14 Martin Friebe LazTarget => -
2010-08-04 14:14 Martin Friebe Widgetset => Win32/Win64
2010-08-04 14:15 Martin Friebe LazTarget - => 0.9.30
2010-08-04 14:15 Martin Friebe Target Version => 0.9.30
2010-08-04 20:16 Mattias Gaertner Status new => assigned
2010-08-04 20:16 Mattias Gaertner Assigned To => Mattias Gaertner
2010-09-04 18:02 Zeljan Rikalo Fixed in Revision => 27252
2010-09-04 18:02 Zeljan Rikalo Status assigned => resolved
2010-09-04 18:02 Zeljan Rikalo Resolution open => fixed
2010-09-04 18:02 Zeljan Rikalo Note Added: 0040809
2010-09-05 00:01 Juha Manninen Relationship added related to 0017321
2010-09-30 04:05 Martin Friebe Status resolved => closed
2010-09-30 04:05 Martin Friebe Fixed in Version => 0.9.30
2010-11-24 16:32 Martin Friebe Relationship added related to 0018041